Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.ee
Class JDOManagedConnection

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.ee.JDOManagedConnection

All Implemented Interfaces:
  javax.resource.spi.ManagedConnection

public class JDOManagedConnection
extends java.lang.Object
implements javax.resource.spi.ManagedConnection

A mostly no-op managed connection that exists for the convenient obtaining of a ConnectionFactory.

Constructor Summary
`JDOManagedConnection(com.solarmetric.rd.kodo.ee.JDOConnectionFactory jdofactory, com.solarmetric.rd.kodo.ee.JDOManagedConnectionFactory factory)`

Method Summary
`void` | `addConnectionEventListener(javax.resource.spi.ConnectionEventListener listener)`
`void` | `associateConnection(java.lang.Object connection)`
`void` | `cleanup()`
`void` | `destroy()`
`java.lang.Object` | `getConnection(javax.security.auth.Subject subject, javax.resource.spi.ConnectionRequestInfo cri)`
`javax.resource.spi.LocalTransaction` | `getLocalTransaction()`
`java.io.PrintWriter` | `getLogWriter()`
`javax.resource.spi.ManagedConnectionMetaData` | `getMetaData()`
`javax.transaction.xa.XAResource` | `getXAResource()`
`void` | `removeConnectionEventListener(javax.resource.spi.ConnectionEventListener listener)`
`void` | `setLogWriter(java.io.PrintWriter logWriter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDOManagedConnection

    public JDOManagedConnection(com.solarmetric.rd.kodo.ee.JDOConnectionFactory jdofactory,
                                com.solarmetric.rd.kodo.ee.JDOManagedConnectionFactory factory)

Method Detail

### getConnection

    public java.lang.Object getConnection(javax.security.auth.Subject subject,
                                          javax.resource.spi.ConnectionRequestInfo cri)
                                   throws javax.resource.ResourceException

  Specified by:
    `getConnection` in interface `javax.resource.spi.ManagedConnection`
    `javax.resource.ResourceException`

### destroy

    public void destroy()
                 throws javax.resource.ResourceException

  Specified by:
    `destroy` in interface `javax.resource.spi.ManagedConnection`
    `javax.resource.ResourceException`

### cleanup

    public void cleanup()
                 throws javax.resource.ResourceException

  Specified by:
    `cleanup` in interface `javax.resource.spi.ManagedConnection`
    `javax.resource.ResourceException`

### associateConnection

    public void associateConnection(java.lang.Object connection)
                             throws javax.resource.ResourceException

  Specified by:
    `associateConnection` in interface `javax.resource.spi.ManagedConnection`
    `javax.resource.ResourceException`

### addConnectionEventListener

    public void addConnectionEventListener(javax.resource.spi.ConnectionEventListener listener)

  Specified by:
    `addConnectionEventListener` in interface `javax.resource.spi.ManagedConnection`

### removeConnectionEventListener

    public void removeConnectionEventListener(javax.resource.spi.ConnectionEventListener listener)

  Specified by:
    `removeConnectionEventListener` in interface `javax.resource.spi.ManagedConnection`

### getXAResource

    public javax.transaction.xa.XAResource getXAResource()
                                                  throws javax.resource.ResourceException

  Specified by:
    `getXAResource` in interface `javax.resource.spi.ManagedConnection`
    `javax.resource.ResourceException`

### getLocalTransaction

    public javax.resource.spi.LocalTransaction getLocalTransaction()
                                                            throws javax.resource.ResourceException

  Specified by:
    `getLocalTransaction` in interface `javax.resource.spi.ManagedConnection`
    `javax.resource.ResourceException`

### getMetaData

    public javax.resource.spi.ManagedConnectionMetaData getMetaData()
                                                             throws javax.resource.ResourceException

  Specified by:
    `getMetaData` in interface `javax.resource.spi.ManagedConnection`
    `javax.resource.ResourceException`

### setLogWriter

    public void setLogWriter(java.io.PrintWriter logWriter)

  Specified by:
    `setLogWriter` in interface `javax.resource.spi.ManagedConnection`

### getLogWriter

    public java.io.PrintWriter getLogWriter()

  Specified by:
    `getLogWriter` in interface `javax.resource.spi.ManagedConnection`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.